%define git	20160502
%define rel	1

Name:		edid-decode
Version:	0
Release:	%mkrel 0.%{git}.%{rel}
# git clone git://anongit.freedesktop.org/xorg/app/edid-decode
# tar c -j --exclude=.git --exclude=.gitignore -f edid-decode-%{git}.tar.bz2 edid-decode
Source:		edid-decode-%{git}.tar.bz2
# (cjw) use CFLAGS to compile source file
Patch1:		edid-decode-makefile.patch
# (cjw) fix string parsing
Patch2:		edid-decode-extract-string.patch
Url:		http://cgit.freedesktop.org/xorg/app/edid-decode/
Group:		Video/Utilities
Summary:	EDID parse tool
License:	MIT

%description
The edid-decode tool parses a given EDID from a file or stdin and
shows the contents on stdout. It handles both the regular video info
and the audio info often provided by HDMI displays.

%prep
%setup -q -n %{name}
%autopatch -p1

%build
%make CFLAGS="%{optflags}"

%install
%makeinstall

%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*


%changelog
* Fri Jun 17 2016 cjw <cjw> 0-0.20160502.1.mga6
+ Revision: 1021994
- new git snapshot with commits up to 20160502
- rediff name parsing patch for insufficient fix added upstream

* Mon Feb 08 2016 umeabot <umeabot> 0-0.20140129.2.mga6
+ Revision: 949946
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 cjw <cjw> 0-0.20140129.1.mga5
+ Revision: 791992
- new git snapshot
- drop manpage, upstream now includes one

* Wed Oct 15 2014 umeabot <umeabot> 0-0.20120926.5.mga5
+ Revision: 746911
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0-0.20120926.4.mga5
+ Revision: 678958
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0-0.20120926.3.mga4
+ Revision: 504047
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0-0.20120926.2.mga3
+ Revision: 349500
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 cjw <cjw> 0-0.20120926.1.mga3
+ Revision: 332911
- imported package edid-decode

